# MapManga

Vianney Jourdy (G9) Hersan Mathéo (G10)

[![Build Status](https://codefirst.iut.uca.fr/api/badges/vianney.jourdy/MapManga/status.svg)](https://codefirst.iut.uca.fr/vianney.jourdy/MapManga)
[![Quality Gate Status](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=MangaMap&metric=alert_status&token=ebbdc36d23b25e2104d276df1bf5ae218f26970b)](https://codefirst.iut.uca.fr/sonar/dashboard?id=MangaMap)
[![Bugs](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=MangaMap&metric=bugs&token=ebbdc36d23b25e2104d276df1bf5ae218f26970b)](https://codefirst.iut.uca.fr/sonar/dashboard?id=MangaMap)
[![Coverage](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=MangaMap&metric=coverage&token=ebbdc36d23b25e2104d276df1bf5ae218f26970b)](https://codefirst.iut.uca.fr/sonar/dashboard?id=MangaMap)
[![Vulnerabilities](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=MangaMap&metric=vulnerabilities&token=ebbdc36d23b25e2104d276df1bf5ae218f26970b)](https://codefirst.iut.uca.fr/sonar/dashboard?id=MangaMap)
[![Maintainability Rating](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=MangaMap&metric=sqale_rating&token=ebbdc36d23b25e2104d276df1bf5ae218f26970b)](https://codefirst.iut.uca.fr/sonar/dashboard?id=MangaMap)

## Overview
MapManga is an application designed to help manga and anime fans manage their reading and viewing experience. If you are a manga and anime fan, MapManga is the perfect application for you.

## Documentation 
All the information about MapManga are [here](https://codefirst.iut.uca.fr/git/vianney.jourdy/MapManga/src/branch/master/Documentation "Documentation").

### All the required
- [Git](https://git-scm.com/) - Versioning
- [Visual Studio 2022](https://visualstudio.microsoft.com/fr/vs/ "IDE") - IDE
- [.NET 7.0](https://dotnet.microsoft.com/en-us/download/dotnet/7.0) - Framework

## Features
- Have a list of anime/manga with what you watch, what you have seen
- Consult its list 
- Add and remove anime and manga from your list 
- Give a review on an anime or manga and rate it

## Screen Capture 

![loginPage](/Documentation/Images/connexionPage.png)
![signUpPage](/Documentation/Images/signUpPage.png)
![settingsPage](/Documentation/Images/settingsPage.png)
![listPage](/Documentation/Images/listPage.png)

## Made with 
- [Visual Studio 2022](https://visualstudio.microsoft.com/fr/vs/ "IDE") -IDE
- [CodeFirst](https://codefirst.iut.uca.fr/) - Technology
- [.NET MAUI 7.0](https://learn.microsoft.com/fr-fr/dotnet/maui/whats-new/dotnet-7) - Framework
    - [XAML](https://learn.microsoft.com/fr-fr/dotnet/desktop/wpf/xaml/?view=netdesktop-7.0) - declarative markup language
    - [C#](https://learn.microsoft.com/fr-fr/dotnet/csharp/) - Language
- [Doxygen](https://www.doxygen.nl/) - Documentation

## Contributors
- [JOURDY Vianney](https://codefirst.iut.uca.fr/git/vianney.jourdy)
- [HERSAN Mathéo](https://codefirst.iut.uca.fr/git/matheo.hersan)
    
    